Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# QVBoxWidget Class Reference

The QVBoxWidget widget provides vertical geometry management of its child widgets. More...

    #include <QVBoxWidget>

Inherits QHBoxWidget.

- List of all members, including inherited members
- Obsolete members

### Writable Properties

- 5 writable properties inherited from QFrame
- 33 writable properties inherited from QWidget
- 1 writable property inherited from QObject

### Read-Only Properties

- 1 read-only property inherited from QFrame
- 24 read-only properties inherited from QWidget

### Public Functions

- QVBoxWidget ( QWidget * parent = 0, Qt::WFlags f = 0 )

- 3 public functions inherited from QHBoxWidget
- 2 public functions inherited from QFrame
- 83 public functions inherited from QWidget
- 24 public functions inherited from QObject
- 2 public functions inherited from QPaintDevice

### Public Slots

- 16 public slots inherited from QWidget
- 1 public slot inherited from QObject

### Signals

- 1 signal inherited from QObject

### Static Public Members

- 4 static public members inherited from QWidget
- 4 static public members inherited from QObject

### Protected Functions

- 44 protected functions inherited from QWidget
- 9 protected functions inherited from QObject

## Detailed Description

The QVBoxWidget widget provides vertical geometry management of its child widgets.

All its child widgets will be placed vertically and sized according to their sizeHint()s. If you just need a layout (not a widget) use QVBoxLayout instead.

See also QHBoxWidget and QGridWidget.

## Member Function Documentation

### QVBoxWidget::QVBoxWidget ( QWidget * parent = 0, Qt::WFlags f = 0 )

Constructs a vbox widget with parent parent and widget flags f.